<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Homework_5 New User</title>
</head>
<body>
<script>
    function filterBy(arr, datatype) {
        // arr = ['hello', 'world', 23, '23', null];
        // datatype = "string";
        let filtered = [];
        arr.forEach(el => {
            if(typeof(el) !== datatype) {
                filtered.push(el);
            }
        } );
        return filtered;
    }
    console.log(filterBy(['hello', 'world', 30, '25', 48, '15', {name: "Andrew"}, null, false], 'string'));
</script>
</body>
</html>
<!--forEach для кожного елемента викликає функцію callback, в цій функції наступні параметри: item - черговий елемент масива, i - його номер, arr - масив, який перебирається.-->